import { ModernExtend, Range } from './types';
import { KeyValue } from './types';
export interface SwitchArgs {
    powerOnBehavior?: boolean;
}
export declare function onOff(args?: SwitchArgs): ModernExtend;
type MultiplierDivisor = {
    multiplier?: number;
    divisor?: number;
};
interface ElectricityMeterArgs {
    cluster?: 'both' | 'metering' | 'electrical';
    current?: MultiplierDivisor;
    power?: MultiplierDivisor;
    voltage?: MultiplierDivisor;
    energy?: MultiplierDivisor;
}
export declare function electricityMeter(args?: ElectricityMeterArgs): ModernExtend;
export interface LightArgs {
    effect?: boolean;
    powerOnBehaviour?: boolean;
    colorTemp?: {
        startup?: boolean;
        range: Range;
    };
    color?: boolean | {
        modes: ('xy' | 'hs')[];
    };
}
export declare function light(args?: LightArgs): ModernExtend;
export interface EnumLookupArgs {
    name: string;
    lookup: KeyValue;
    cluster: string | number;
    attribute: string | {
        id: number;
        type: number;
    };
    description: string;
    zigbeeCommandOptions?: {
        manufacturerCode: number;
    };
    readOnly?: boolean;
    endpoint?: string;
}
export declare function enumLookup(args: EnumLookupArgs): ModernExtend;
export interface NumericArgs {
    name: string;
    cluster: string | number;
    attribute: string | {
        id: number;
        type: number;
    };
    description: string;
    zigbeeCommandOptions?: {
        manufacturerCode: number;
    };
    readOnly?: boolean;
    unit?: string;
    endpoint?: string;
    valueMin?: number;
    valueMax?: number;
    valueStep?: number;
    scale?: number;
}
export declare function numeric(args: NumericArgs): ModernExtend;
export interface BinaryArgs {
    name: string;
    valueOn: [string | boolean, unknown];
    valueOff: [string | boolean, unknown];
    cluster: string | number;
    attribute: string | {
        id: number;
        type: number;
    };
    description: string;
    zigbeeCommandOptions?: {
        manufacturerCode: number;
    };
    readOnly?: boolean;
    endpoint?: string;
}
export declare function binary(args: BinaryArgs): ModernExtend;
export interface ActionEnumLookupArgs {
    lookup: KeyValue;
    cluster: string | number;
    attribute: string | {
        id: number;
        type: number;
    };
    postfixWithEndpointName?: boolean;
}
export declare function actionEnumLookup(args: ActionEnumLookupArgs): ModernExtend;
export {};
//# sourceMappingURL=modernExtend.d.ts.map