import * as ota from './ota';
import * as exposes from './exposes';
import { Extend, Fz, KeyValue, Tz } from './types';
export declare const extend: {
    light_onoff_brightness: (options?: Extend.options_light_onoff_brightness & {
        disableHueEffects?: boolean;
    }) => {
        ota: typeof ota.zigbeeOTA;
        meta: {
            turnsOffAtBrightness1: boolean;
        };
        fromZigbee: Fz.Converter[];
        toZigbee: Tz.Converter[];
        exposes: import("./types").Expose[];
        configure?: import("./types").Configure;
        onEvent?: import("./types").OnEvent;
        isModernExtend?: false;
    };
    light_onoff_brightness_colortemp: (options?: Extend.options_light_onoff_brightness_colortemp & {
        disableHueEffects?: boolean;
    }) => {
        ota: typeof ota.zigbeeOTA;
        meta: {
            turnsOffAtBrightness1: boolean;
        };
        fromZigbee: Fz.Converter[];
        toZigbee: Tz.Converter[];
        exposes: import("./types").Expose[];
        configure?: import("./types").Configure;
        onEvent?: import("./types").OnEvent;
        isModernExtend?: false;
    };
    light_onoff_brightness_color: (options?: Extend.options_light_onoff_brightness_color & {
        disableHueEffects?: boolean;
    }) => {
        ota: typeof ota.zigbeeOTA;
        meta: {
            turnsOffAtBrightness1: boolean;
        };
        fromZigbee: Fz.Converter[];
        toZigbee: Tz.Converter[];
        exposes: import("./types").Expose[];
        configure?: import("./types").Configure;
        onEvent?: import("./types").OnEvent;
        isModernExtend?: false;
    };
    light_onoff_brightness_colortemp_color: (options?: Extend.options_light_onoff_brightness_colortemp_color & {
        disableHueEffects?: boolean;
    }) => {
        ota: typeof ota.zigbeeOTA;
        meta: {
            turnsOffAtBrightness1: boolean;
        };
        fromZigbee: Fz.Converter[];
        toZigbee: Tz.Converter[];
        exposes: import("./types").Expose[];
        configure?: import("./types").Configure;
        onEvent?: import("./types").OnEvent;
        isModernExtend?: false;
    };
    light_onoff_brightness_colortemp_color_gradient: (options?: Extend.options_light_onoff_brightness_colortemp_color & {
        disableHueEffects?: boolean;
        extraEffects?: string[];
    }) => {
        ota: typeof ota.zigbeeOTA;
        meta: {
            turnsOffAtBrightness1: boolean;
        };
        fromZigbee: Fz.Converter[];
        toZigbee: Tz.Converter[];
        exposes: import("./types").Expose[];
        configure?: import("./types").Configure;
        onEvent?: import("./types").OnEvent;
        isModernExtend?: false;
    };
};
declare const philipsTz: {
    gradient_scene: {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<void>;
    };
    gradient: (opts?: {
        reverse: boolean;
    }) => {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<void>;
        convertGet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, meta: Tz.Meta) => Promise<void>;
    };
    effect: {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<void>;
    };
    hue_power_on_behavior: {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<{
            state: {
                hue_power_on_behavior: unknown;
            };
        }>;
    };
    hue_power_on_error: {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<void>;
    };
    hue_motion_sensitivity: {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<{
            state: {
                motion_sensitivity: unknown;
            };
        }>;
        convertGet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, meta: Tz.Meta) => Promise<void>;
    };
    hue_motion_led_indication: {
        key: string[];
        convertSet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, value: unknown, meta: Tz.Meta) => Promise<{
            state: {
                led_indication: unknown;
            };
        }>;
        convertGet: (entity: import("zigbee-herdsman/dist/controller/model/group").default | import("zigbee-herdsman/dist/controller/model/endpoint").default, key: string, meta: Tz.Meta) => Promise<void>;
    };
};
export { philipsTz as tz };
export declare const philipsFz: {
    hue_tap_dial: {
        cluster: string;
        type: string;
        options: exposes.Composite[];
        convert: (model: import("./types").Definition, msg: Fz.Message, publish: import("./types").Publish, options: KeyValue, meta: Fz.Meta) => KeyValue;
    };
    gradient: (opts?: {
        reverse: boolean;
    }) => {
        cluster: string;
        type: string[];
        convert: (model: import("./types").Definition, msg: Fz.Message, publish: import("./types").Publish, options: KeyValue, meta: Fz.Meta) => {
            gradient: string[];
        } | {
            gradient?: undefined;
        };
    };
};
//# sourceMappingURL=philips.d.ts.map